Package org.eclipse.m2m.atl.common

## Class ATLLogger

- java.lang.Object
- - org.eclipse.m2m.atl.common.ATLLogger

    public class ATLLogger
    extends java.lang.Object

The common ATL logger.

### Field Summary

Fields
`protected static java.util.logging.Logger` `logger`
`static java.lang.String` `LOGGER_ID` The logger ID.
`static java.util.logging.Level` `LOGLEVEL` The lowest logging level to log.

### Constructor Summary

Constructors
`protected` `ATLLogger()` Constructor.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `fine​(java.lang.String msg)` Log a FINE message.
`static java.util.logging.Logger` `getLogger()` Returns the ATL logger.
`static void` `info​(java.lang.String msg)` Log an INFO message.
`static void` `log​(java.util.logging.Level level, java.lang.String msg, java.lang.Throwable thrown)` Log a message.
`static void` `severe​(java.lang.String msg)` Log a SEVERE message.
`static void` `warning​(java.lang.String msg)` Log a WARNING message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER_ID

    public static final java.lang.String LOGGER_ID

The logger ID.

See Also:
  Constant Field Values

#### LOGLEVEL

    public static final java.util.logging.Level LOGLEVEL

The lowest logging level to log.

#### logger

    protected static java.util.logging.Logger logger

### Constructor Detail

#### ATLLogger

    protected ATLLogger()

Constructor.

### Method Detail

#### getLogger

    public static java.util.logging.Logger getLogger()

Returns the ATL logger.

Returns:
  The ATL logger

#### log

    public static void log​(java.util.logging.Level level,
                           java.lang.String msg,
                           java.lang.Throwable thrown)

Log a message.

Parameters:
  `level` - the message severity
  `msg` - The string message (or a key in the message catalog)
  `thrown` - the throwable cause

#### fine

    public static void fine​(java.lang.String msg)

Log a FINE message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

#### info

    public static void info​(java.lang.String msg)

Log an INFO message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

#### warning

    public static void warning​(java.lang.String msg)

Log a WARNING message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

#### severe

    public static void severe​(java.lang.String msg)

Log a SEVERE message.

Parameters:
  `msg` - The string message (or a key in the message catalog)